DS Server

GET /license/unregister

Endpoint

GET https://example.com/license/unregister

Description

Unregisters DS Server. The endpoint takes no serial number. The Unregister button on the Manually tab of the admin portal's Licensing page calls it.

Examples

The following example unregisters DS Server.

# Request:
curl --request GET 'https://trial.dsserver.io/license/unregister' \
    --header 'Authorization: Basic e3t1c2VyX25hbWV9fTp7e3Bhc3N3b3JkfX0='

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK).

Error Response

StatusDescription
401A 401 (Unauthorized) with an empty body and the header WWW-Authenticate: Basic realm=Access to the Admin page is returned, if the admin credentials are missing or wrong.
400A 400 (Bad Request) is returned, if the unregistration failed. Details are listed in the returned error message.